ActiveRecord dependency? #56

Closed
robj opened this Issue Jan 22, 2012 · 4 comments

Projects

None yet

2 participants

@robj

I use Mongoid and do not have AR loaded

       format.json { render_for_api :v1_public, :json => [@user] }

works fine

however,

       format.json { render_for_api :v1_public, :json => @user }

(without @user in an array) gives an error

uninitialized constant ActiveRecord::Relation

@robj

as a workaround, I can do this for now

       format.json { render :json => @user.as_api_response(:v1_public).to_json }
@fabrik42
Owner

Which version of acts_as_api are you using?

Can you try to update your bundle and tell me if the problem still exists?

@robj

Im using

acts_as_api (0.3.11)

and have tried updating the bundle to no avail

@fabrik42
Owner

Closing this for now. Please re-open if issue is still present.

@fabrik42 fabrik42 closed this Feb 11, 2013
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment